import org.apache.bsf.*;// BSF support
import java.io.*;       // exception handling

/** Java program that shows the easyness of deploying scripts with BSF. */
public class TestBSF
{
   /** Running in-line defined scripts. */
   public static void main (String[] args) throws IOException {
      try {
          BSFManager bsfmgr = new BSFManager ();    // get the BSFManager

              // define a Jython (Python) program and invoke it
          // String scriptCode = "print \"Jython (Python) was here!\";";
          String scriptCode = "print 'Jython was here!'";
          bsfmgr.exec("jython", "any debug info", 0, 0, scriptCode);

              // define a Rexx program and invoke it
          scriptCode = "SAY 'Rexx was here!'"; // a Rexx statement
          bsfmgr.exec("rexx", "any debug info", 0, 0, scriptCode);
      }
      catch (BSFException e) {
          e.printStackTrace();
      }
   }
}
