dig=18                  /* determine number of digits to use   */
numeric digits dig      /* tell Rexx about it                  */

      /* get the Java decimal formatter, use a static method   */
df = bsf.loadClass('java.text.DecimalFormat')~getInstance
df~applyPattern("#,###.00")   /* tell about the format to use  */

      /* store a few numbers in an array collection */
arr=.array~of(123.1, 1234.123, 123, 1234567890123.45, -1234567890123.45)

do num over arr   /* loop over array collection's elements     */
    say num~right(dig) 'Formatted =' df~format(num)~right(dig+4)
end

::requires bsf.cls   /* directive: get ooRexx suppoert for BSF */
