   /* get the OOo Desktop service object */
oDesktop = UNO.createDesktop()

   /* query interfaces to get to componentLoader interface  */
xCompLoader = oDesktop~XDesktop~XComponentLoader

   /* open a blank (new) spreadsheet component        */
url = "private:factory/scalc"
xCalcComp = xCompLoader~loadComponentFromURL(url, "_blank", 0, .UNO~noProps)

   /* get first sheet in the spreadsheet document     */
sheet = xCalcComp~XSpreadSheetDocument~getSheets~XIndexAccess~getByIndex(0)
xSheet=sheet~XSpreadSheet  /* query the XSpreadsheet interface of it */

   /* insert some text in the cells "A1", "C3, "B5"   */
call UNO.setCell xSheet, 0, 0, "Hello ApacheCon Asia 2006!"

sleep=3     /* determine how many seconds to sleep    */
call UNO.setCell xSheet, 2, 2, "(now sleeping for" sleep "seconds)"
call sysSleep sleep        /* sleep two seconds       */

call UNO.setCell xSheet, "B5", "Nice, to meet with you ..."

::requires UNO.CLS    /* get UNO support (which loads BSF.CLS) */
